<template>
    <div id="create-comment-container" class="d-flex justify-content-between px-2 py-2">
        <input type="text" placeholder="Ecrivez un commentaire ici..." v-model="form.message" aria-label="Ecrire un commentaire">
        <button id="add-comment" class="btn btn-send align-self-center" @click.prevent="createComment()" aria-label="enregistrer un nouveau commentaire">
            <i class="fas fa-paper-plane"></i>
        </button>
    </div>
</template>

<script>
export default {
    data(){
        return{
            name:'CreateComment',
            form:{
                message:null,
            },
        }
    },
    props:["PostId"],
    methods:{
        createComment(){
            const axios = require('axios')
            const jwt = require('jsonwebtoken')
            const token = JSON.parse(localStorage.getItem('token'))
            const decodedToken = jwt.verify(token, 'RANDOM_TOKEN_SECRET');
            const userId = decodedToken.userId;
            //console.log(this.PostId);
            //changer formdata
            const form = {
                message:this.form.message,
                PostId:this.PostId,
                UserId:userId
            }
            // fd.append('message',this.form.message)
            // fd.append('UserId',userId)
            // fd.append('PostId',this.PostId)
            const config = {
                headers:{
                    'Authorization':`Bearer ${token}`
                }
            }
            // for (var value of fd.values()) {
            //         //console.log(value);
            //     }
            const url = `http://localhost:3000/api/comments/new`
            axios.post(url,form,config)
            .then(res=>{
                console.log(res);
                location.reload()
            })
            .catch(err=>console.log(err))
        }
    }
    

}
</script>
<style scoped src='./CreateComment.css'>

</style>